<?php
/**
 * 
 * @package Business Article Ship
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $business_article_ship_classes Classes for the body element.
 * @return array
 */

if ( ! function_exists( 'business_article_ship_body_classes' ) ) :
function business_article_ship_body_classes( $business_article_ship_classes ) {
	// Adds a class of group-blog to blogs with more than 1 published author.
	if ( is_multi_author() ) {
		$business_article_ship_classes[] = 'group-blog';
	}

	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$business_article_ship_classes[] = 'hfeed';
	}

	return $business_article_ship_classes;
}
endif;
add_filter( 'body_class', 'business_article_ship_body_classes' );